Summary:        Perl pragma to declare constants
Name:           perl-constant
Version:        1.33
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/constant
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SAPER/constant-%{version}.tar.gz
BuildRequires:  make perl-interpreter perl-generators perl(ExtUtils::MakeMaker)
BuildRequires:  perl(strict) perl(Carp) perl(vars) perl(warnings::register) perl(warnings)
# For test suite
BuildRequires:  perl(Test::More) perl(utf8)
Requires:       perl(Carp)
BuildArch:      noarch

%description
This pragma allows you to declare constants at compile-time.
 
When a constant is used in an expression, Perl replaces it with its
value at compile time, and may then optimize the expression further.
In particular, any code in an "if (CONSTANT)" block will be optimized
away if the constant is false.

%prep
%setup -q -n constant-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.33-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.33-2
- Rebuilt for OpenCloudOS Stream 23

* Tue May 24 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.33-1
- Initial build
